Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2013-07-18 23:48:28 +0400
committerJunio C Hamano <gitster@pobox.com>2013-07-18 23:48:29 +0400
commit45ed4afabee57a2583f4b88828f598573f7cd239 (patch)
tree58e0e700bdc32f5d9840a78a07217771c95f5726 /t
parentdb1a848421fe05482e36fcba76f019299ae93b25 (diff)
parent125a05fd0b45416558923b753f6418c24208d443 (diff)
Merge branch 'jk/maint-clone-shared-no-connectivity-validation'
"git clone -s/-l" is a filesystem level copy and does not offer any protection against source repository being corrupt. While the connectivity validation checks commits and trees being readable, it made the otherwise instantaneous local modes of clone much more expensive, without protecting blob data from bitflips. * jk/maint-clone-shared-no-connectivity-validation: clone: drop connectivity check for local clones
Diffstat (limited to 't')
-rwxr-xr-xt/t5710-info-alternate.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/t/t5710-info-alternate.sh b/t/t5710-info-alternate.sh
index 8956c21617..5a6e49d18d 100755
--- a/t/t5710-info-alternate.sh
+++ b/t/t5710-info-alternate.sh
@@ -58,7 +58,13 @@ test_expect_success 'creating too deep nesting' \
git clone -l -s D E &&
git clone -l -s E F &&
git clone -l -s F G &&
-test_must_fail git clone --bare -l -s G H'
+git clone --bare -l -s G H'
+
+test_expect_success 'invalidity of deepest repository' \
+'cd H && {
+ test_valid_repo
+ test $? -ne 0
+}'
cd "$base_dir"